Skip to content

Get computer use session detail

GET
/api/computer-use/sessions/{session_id}
curl --request GET \
--url https://api.ultimateteam.ai/api/computer-use/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'X-API-Key: <X-API-Key>'

Returns session detail and URLs for verified screenshot object generations.

session_id
required
Session Id

The computer-use session UUID

string format: uuid

The computer-use session UUID

Successful Response

Media typeapplication/json
ComputerUseSessionDetailResponse

Full detail of a computer-use session including signed screenshot URLs.

Screenshot URLs refer only to verified, immutable object generations in the committed completion receipt. Missing/deleted objects remain unavailable.

Attributes: screenshot_urls: Signed GCS URLs for each step screenshot. target_url: Starting URL for the browser session. error: Error message if the session failed.

object
agent_role
required
Agent Role
string
completed_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
credits_consumed
required
Credits Consumed
integer
error
Any of:
string
executor_type
required
Executor Type
string
id
required
Id
string format: uuid
pre_act_plan
Any of:
object
key
additional properties
any
screenshot_status
Screenshot Status
string
default: unavailable
screenshot_urls
Screenshot Urls
Array<string>
started_at
Any of:
string format: date-time
status
required
Status
string
steps_executed
required
Steps Executed
integer
target_url
Any of:
string
task
required
Task
string
Example
{
"screenshot_status": "unavailable"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}